{ lib, pkgs, ... }:
{
  home.packages = [ pkgs.gcr ];

  programs.gpg.enable = true;
  services.gpg-agent = {
    enable = true;
    enableScDaemon = true;
    enableSshSupport = true;
    grabKeyboardAndMouse = true;
    pinentryPackage = lib.mkDefault pkgs.pinentry-gtk2;
    extraConfig = ''
      no-allow-external-cache
    '';

    defaultCacheTtl = 0;
    maxCacheTtl = 0;
  };
}
