{
  config,
  pkgs,
  repoFlakeInputs',
  ...
}:
let
  # TODO: make configurable
  homeUser = "steveej";
in
{
  sops.secrets.radicale_htpasswd = {
    sopsFile = ../../../secrets/desktop/radicale_htpasswd;
    format = "binary";
    owner = config.users.users."${homeUser}".name;
  };

  home-manager.users.${homeUser} = _: {
    imports = [
      # TODO: bump these to latest and make it work
      (
        args:
        import ../../home-manager/programs/radicale.nix (
          args
          // {
            osConfig = config;
            pkgs = repoFlakeInputs'.radicalePkgs.legacyPackages;
          }
        )
      )
    ];
  };
}
