{ buildGoPackage, fetchFromGitHub }:
buildGoPackage rec {
  name = "duplicay-${version}";
  version = "2.1.2";

  goPackagePath = "github.com/gilbertchen/duplicacy";

  src = fetchFromGitHub {
    "owner" = "gilbertchen";
    "repo" = "duplicacy";
    "rev" = "v2.1.2";
    "sha256" = "0v3rk4da4b6dhqq8zsr4z27wd8p7crxapkn265kwpsaa99xszzbv";
  };

  goDeps = ./deps.nix;
}
