let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.11";
    rev = ''5b7cd5c39befee629be284970415b6eb3b0ff000'';
  };
in
{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = ''4bb072f0a8b267613c127684e099a70e1f6ff106'';
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = ''a8636efe2df64047cd58898010a72f73efd56722'';
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.11";
    rev = ''83110c259889230b324bb2d35bef78bf5f214a1f'';
  };
}
