_:
let
  passwords = import ../../variables/passwords.crypt.nix;
in
{
  services.gammastep = {
    enable = true;
    provider = "manual";
    enableVerboseLogging = true;
    inherit (passwords.location.stefan) longitude latitude;
    temperature = {
      # day = 6700;
      day = 3000;
      night = 3000;
    };
    tray = true;
    settings = {
      general = {
        adjustment-method = "wayland";
      };
      gammastep = {
        # brightness-day = 1.0;
        brightness-day = 0.5;
        brightness-night = 0.5;
      };
    };
  };
}
